import './MenuIconNormal.scss';
import { Component } from '@tarojs/taro';
import { View, Image, Text } from '@tarojs/components';

type PageOwnProps = {
  icon: string;
  text: string;
};

interface MenuIconNormal {
  props: PageOwnProps;
}
class MenuIconNormal extends Component<PageOwnProps> {
  render() {
    const { icon, text } = this.props;
    return (
      <View className='MenuIconNormal'>
        <Image className='icon' src={icon} />
        <Text className='text'>{text}</Text>
      </View>
    );
  }
}

export default MenuIconNormal;
